DNF-BUILDDEP(8)

NUME
dnf-builddep - modulul builddep al DNF

Instalează tot ceea ce este necesar pentru a construi fișierul .src.rpm, .nosrc.rpm sau .spec dat.

AVERTISMENT:
        Dependențele de compilare dintr-un pachet (de exemplu, src.rpm) pot fi diferite de ceea ce v-ați aștepta, deoarece au fost evaluate în conformitate cu macrocomenzile definite pe gazda de compilare a pachetului.

REZUMAT

dnf builddep <pachet>...

ARGUMENTE

    <pachet>
        Fie ruta către fișierul .src.rpm, .nosrc.rpm sau .spec, fie către un pachet disponibil într-un depozit.

OPȚIUNI

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

    --help-cmd
        Afișează acest mesaj de ajutor.

    -D <macro expr>, --define <macro expr>
        Definește macro-ul RPM numit macro la valoarea expr atunci când analizează fișierele de specificații „.spec”. Nu se aplică pentru fișierele rpm sursă.

    --spec
        Tratează argumentele ca fișiere .spec.

    --srpm
        Tratează argumentele ca fișiere rpm sursă.

    --skip-unavailable
        Omite dependențele de compilare care nu sunt disponibile în depozite. Vor fi instalate toate dependențele de construcție disponibile.

Rețineți că această comandă builddep nu respectă opțiunea --skip-broken, deci nu există nicio modalitate de a sări peste pachetele dezinstalabile (de exemplu, cu dependențe rupte).

EXEMPLE

    dnf builddep foobar.spec
        Instalează cerințele de construcție necesare, definite în fișierul foobar.spec.

    dnf builddep --spec foobar.spec.in
        Instalează cerințele de construcție necesare, definite în fișierul de specificații atunci când numele fișierului se termină cu ceva diferit de .spec&.

    dnf builddep foobar-1.0-1.src.rpm
        Instalează cerințele de construcție necesare, definite în fișierul foobar-1.0-1.src.rpm.

    dnf builddep foobar-1.0-1
        Caută foobar-1.0-1 în depozitele activate și instalează cerințele de compilare pentru acest pachet sursă rpm.

    dnf builddep -D 'scl python27' python-foobar.spec
        Instalează cerințele de compilare necesare pentru versiunea python27 SCL a python-foobar.

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2023, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.